<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Device</strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="saveForm" autocomplete="off" class="form-horizontal" (ngSubmit)="addDevice()">
          <div class="form-group">
            <label class="col-sm-2 control-label">Ud-ID
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10">
              <input type="text" placeholder=" Ud-ID" formControlName="ud_id" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div
                *ngIf="saveForm.controls['ud_id'].invalid && (saveForm.controls['ud_id'].dirty || saveForm.controls['ud_id'].touched)">
                <div *ngIf="saveForm.controls['ud_id'].errors.required" class="alert alert-danger">
                  Ud-ID is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Device model
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10">
              <input type="text" placeholder="Device model" formControlName="device_model" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div
                *ngIf="saveForm.controls['device_model'].invalid && (saveForm.controls['device_model'].dirty || saveForm.controls['device_model'].touched)">
                <div *ngIf="saveForm.controls['device_model'].errors.required" class="alert alert-danger">
                  Device model is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Companies</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Companies" formControlName="company" name="companies"
                required>
                <mat-option *ngFor="let group of CompanyData" [value]="group._id">
                  {{ group.company_name }}</mat-option>
              </mat-select>
              <div class="error-msg"
                *ngIf="saveForm.controls['company'].invalid && (saveForm.controls['company'].dirty || saveForm.controls['company'].touched)">
                <div *ngIf="saveForm.controls['company'].errors.required">Company is required.</div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Manufacturer
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10">
              <input type="text" placeholder=" Manufacturer" formControlName="manufacturer" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div
                *ngIf="saveForm.controls['manufacturer'].invalid && (saveForm.controls['manufacturer'].dirty || saveForm.controls['manufacturer'].touched)">
                <div *ngIf="saveForm.controls['manufacturer'].errors.required" class="alert alert-danger">
                  Manufacturer is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/fleet/devices']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>